'''
Created on 20-Jan-2022

@author: bthakur
'''

import os
import codecs
import inspect
import traceback
import random

from xv.util import UtilClass

# _aops_helper
# AopsHelper

class AopsHelper(UtilClass):
    
    def __init__(self, **kwargs):
        super().__init__(**kwargs)

        self._combinatorics_helper = None

        
        self._kwargs = kwargs
        pass

    def get_combinatorics_helper(self):
        if self._combinatorics_helper is None:
            self._init_combinatorics_helper(**self._kwargs)
        return self._combinatorics_helper
        pass


    def _init_combinatorics_helper(self, **kwargs):  
        from ._combinatorics_helper import CombinatoricsHelper
        self._combinatorics_helper = CombinatoricsHelper(**kwargs) 
        pass

   
    pass
#class AopsHelper:
